.gradient-gradient {
    background: linear-gradient(0deg, #5D78FD 0%, #36F5E2 100%)
}

.d-flex {
    display: flex;
}

.column {
    flex-direction: column;
}

.row {
    flex-direction: row;
}

.wrap {
    flex-wrap: wrap;
}

.pa-2 {
    padding: 12px;
}

.pa-4 {
    padding: 24px;
}

.align-items-center {
    align-items: center;
}

.align-items-start {
    align-items: flex-start;
}

.edition-switch {
    max-width: 100%;
    padding: 8px 12px 8px 12px;
    border-radius: 10px;
    flex-shrink: 0;
    border: 2px solid var(--sony-color-02);
    min-width: 0;
}

.edition-switch-full {
    height: 85px;
    flex-grow: 1;
}

.edition-switch-compact {
    height: 68px;
    border: 1px solid var(--sony-color-03);
}

.edition-switch-selected {
    border: 2px solid transparent; /* needed for border-box layer */
    border-radius: 8px; /* your desired radius */
    background: linear-gradient(white, white) padding-box, /* inside background */ var(--sony-gradient) border-box;
}


.margin-top-20 {
    margin-top: 20px;
}

.margin-left-17 {
    margin-left: 17px;
}

.margin-right-17 {
    margin-right: 17px;
}

.margin-right-15 {
    margin-right: 15px;
}

.songerse-font {
    font-family: 'SongerSE', Roboto, serif;
}

.exo2-font {
    font-family: 'Exo 2', Roboto, serif;
}

.font-regular {
    font-weight: 400;
}

.font-medium {
    font-weight: 500;
}

.font-semibold {
    font-weight: 600;
}

.font-bold {
    font-weight: 700;
}

.line-height-16 {
    line-height: 16px;
}

.line-height-18 {
    line-height: 18px;
}

.font-size-10 {
    font-size: 10px;
}

.font-size-12 {
    font-size: 12px;
}

.font-size-13 {
    font-size: 13px;
}

.font-size-14 {
    font-size: 14px;
}

.font-size-15 {
    font-size: 15px;
}

.font-size-16 {
    font-size: 16px;
}

.font-size-18 {
    font-size: 18px;
}

.font-size-20 {
    font-size: 20px;
}

.font-size-21 {
    font-size: 21px;
}

.font-size-22 {
    font-size: 22px;
}

.font-size-23 {
    font-size: 23px;
}

.font-size-24 {
    font-size: 24px;
}

.font-size-28 {
    font-size: 28px;
}

@font-face {
    font-family: 'SongerSE';
    font-style: normal;
    font-weight: 700;
    src: local('SongerSE'), url(/_content/SonyParser.Page/fonts/SONGER__SE_Bold.otf) format('opentype');
}

.color-accent {
    color: var(--sony-accent-color);
}

.color-error {
    color: var(--sony-error);
}

.color-green {
    color: var(--sony-green);
}


.max-lines-1 {
    max-lines: 1;
}

.clicky {
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.block-container-icon {
    height: 28px;
    width: 28px;
    margin-right: 12px;
}

.block-container-arrow {
    height: 24px;
    width: 24px;
}

.block-container-arrow-small {
    height: 16px;
    width: 10px;
}

.center-child {
    display: flex;
    align-items: center;
    justify-content: center;
}

.reserve-codes-img {
    width: 100%;

    /*height: 206px;*/
}

.reserve-code-link {
    color: var(--sony-accent-color);
    text-decoration: underline;
}

.reserve-codes-container {
    margin: 12px 16px;
}

.apply-button {
    flex-shrink: 0;
    width: 100%;
    background-color: var(--sony-accent-color);
    color: white;
    height: 48px;
    border-radius: 100px;
    margin-top: 24px;
    transition: background-color 0.2s;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: env(safe-area-inset-bottom);
}

.dialog-overlay-container {
    padding: 12px 16px 20px 16px;
    display: flex;
    flex-direction: column;
}

.dialog-overlay-container-sort {
    padding: 22px 16px 20px 16px;
    display: flex;
    flex-direction: column;
}

.bottom-sheet-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.dialog-overlay-close-button {
    height: 32px;
    width: 32px;
    border-radius: 16px;
}

/* Fixed button at the bottom */
.fixed-button-container {
    width: 100%;
    box-sizing: border-box;
    position: fixed;
    margin-bottom: 76px;
    bottom: 0;
    left: 0;
}

.fixed-button-container .fixed-button {
    margin-left: 16px;
    width: calc(100% - 32px);
}

.fixed-button {
    border-radius: 48px;

    height: 44px; /* Adjust to desired button height */

    color: white;
    text-align: center;
    border: none;
    outline: none;
    cursor: pointer;
}

.fixed-button-green {
    background-color: var(--sony-color-04);
}

.fixed-button-origin {
    background: var(--sony-gradient);
}

.text-truncate {
    white-space: nowrap; /* Prevent text from wrapping */
    overflow: hidden; /* Hide overflow content */
    text-overflow: ellipsis; /* Add dots at the end */
}


.text-selection-enable {
    user-select: text;
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
}

.top-corner-8 {
    border-radius: 8px 8px 0 0;
}

.bottom-corner-8 {
    border-radius: 0 0 8px 8px;
}

.counter {
    width: 16px;
    height: 16px;
    position: absolute;
    top: 12px; /* distance from top */
    right: 12px; /* distance from right */
    color: white;
    font-weight: bold;
    border-radius: 50%;
    line-height: 16px;
    text-align: center;
    font-size: 10px;
    background: var(--sony-gradient);
}

.counter-green {
    background: var(--sony-color-04) !important;
}

.content-with-placeholder-wrapper {
    position: relative;
    min-height: 90vh; /* or 100% if parent already controls height */
}

.content-placeholder {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px; /* space between img and text */
}

.general-games {
    display: flex;
    flex-direction: row;
    gap: 8px;
    overflow-x: auto;
    overflow-y: hidden;
    padding: 0 16px;
}

.general-widget h2 {
    margin-left: 16px;
}


.gradient-gradient {
    background: linear-gradient(25deg, #7A58CB 25.23%, #1A94FF 81.46%)
}

.d-flex {
    display: flex;
}

.column {
    flex-direction: column;
}

.row {
    flex-direction: row;
}

.wrap {
    flex-wrap: wrap;
}

.pa-2 {
    padding: 12px;
}

.pa-4 {
    padding: 24px;
}

.align-items-center {
    align-items: center;
}

.align-items-start {
    align-items: flex-start;
}

.edition-switch {
    background-color: var(--sony-color-02);
    max-width: 100%;
    padding: 8px 12px 8px 12px;
    border-radius: 10px;
    flex-shrink: 0;
    border: 2px solid var(--sony-color-02);
    min-width: 0;
}

.edition-switch-full {
    height: 85px;
    flex-grow: 1;
}

.edition-switch-compact {
    height: 58px;
}

.edition-switch-selected {
    background-color: var(--sony-color-15);
    border: 2px solid var(--sony-accent-color);
}

.discount-box {
    height: max-content;
    padding: 1px 4px;
    border-radius: 100px;
    color: white;
    background-color: var(--sony-accent-color);
}

.margin-top-20 {
    margin-top: 20px;
}

.margin-left-17 {
    margin-left: 17px;
}

.margin-right-17 {
    margin-right: 17px;
}

.margin-right-15 {
    margin-right: 15px;
}

.suisse-font {
    font-family: 'SuisseIntl', Roboto, serif;
}

.halvar-font {
    font-family: 'HalvarEng', Roboto, serif;
}

.cofo-font {
    font-family: 'CoFo Sans', Roboto, serif;
}

.inter-font {
    font-family: "Inter", serif;
}

.font-regular {
    font-weight: 400;
}

.font-medium {
    font-weight: 500;
}

.font-semibold {
    font-weight: 600;
}

.font-bold {
    font-weight: 700;
}

.line-height-13 {
    line-height: 13px;
}

.line-height-18 {
    line-height: 18px;
}

.font-size-10 {
    font-size: 10px;
}

.font-size-12 {
    font-size: 12px;
}

.font-size-13 {
    font-size: 13px;
}

.font-size-14 {
    font-size: 14px;
}

.font-size-15 {
    font-size: 15px;
}

.font-size-16 {
    font-size: 16px;
}

.font-size-18 {
    font-size: 18px;
}

.font-size-20 {
    font-size: 20px;
}

.font-size-22 {
    font-size: 22px;
}

.font-size-24 {
    font-size: 24px;
}

@font-face {
    font-family: 'SuisseIntl';
    font-style: normal;
    font-weight: 400;
    src: local('SuisseIntl'), url('/_content/SonyParser.Page/fonts/SuisseIntl-Regular.woff') format('woff');
}

@font-face {
    font-family: 'SuisseIntl';
    font-style: normal;
    font-weight: 500;
    src: local('SuisseIntl'), url('/_content/SonyParser.Page/fonts/SuisseIntl-Medium.woff') format('woff');
}

@font-face {
    font-family: 'SuisseIntl';
    font-style: normal;
    font-weight: 600;
    src: local('SuisseIntl'), url('/_content/SonyParser.Page/fonts/SuisseIntl-SemiBold.woff') format('woff');
}

@font-face {
    font-family: 'SuisseIntl';
    font-style: normal;
    font-weight: 700;
    src: local('SuisseIntl'), url('/_content/SonyParser.Page/fonts/SuisseIntl-Bold.woff') format('woff');
}

@font-face {
    font-family: 'HalvarEng';
    font-style: normal;
    font-weight: 400;
    src: local('HalvarEng'), url('/_content/SonyParser.Page/fonts/HalvarEng-Rg.woff') format('woff');
}

@font-face {
    font-family: 'CoFo Sans';
    font-style: normal;
    font-weight: 400;
    src: local('CoFo Sans'), url('/_content/SonyParser.Page/fonts/cofo-sans/CoFo Sans 1.otf') format('woff');
}
@font-face {
    font-family: 'CoFo Sans';
    font-style: italic;
    font-weight: 400;
    src: local('CoFo Sans'), url('/_content/SonyParser.Page/fonts/cofo-sans/CoFo Sans 8.otf') format('woff');
}
@font-face {
    font-family: 'CoFo Sans';
    font-style: normal;
    font-weight: 500;
    src: local('CoFo Sans'), url('/_content/SonyParser.Page/fonts/cofo-sans/CoFo Sans 7.otf') format('woff');
}
@font-face {
    font-family: 'CoFo Sans';
    font-style: italic;
    font-weight: 500;
    src: local('CoFo Sans'), url('/_content/SonyParser.Page/fonts/cofo-sans/CoFo Sans 6.otf') format('woff');
}
@font-face {
    font-family: 'CoFo Sans';
    font-style: normal;
    font-weight: 700;
    src: local('CoFo Sans'), url('/_content/SonyParser.Page/fonts/cofo-sans/CoFo Sans 5.otf') format('woff');
}
@font-face {
    font-family: 'CoFo Sans';
    font-style: italic;
    font-weight: 700;
    src: local('CoFo Sans'), url('/_content/SonyParser.Page/fonts/cofo-sans/CoFo Sans 4.otf') format('woff');
}
@font-face {
    font-family: 'CoFo Sans';
    font-style: normal;
    font-weight: 900;
    src: local('CoFo Sans'), url('/_content/SonyParser.Page/fonts/cofo-sans/CoFo Sans 3.otf') format('woff');
}
@font-face {
    font-family: 'CoFo Sans';
    font-style: italic;
    font-weight: 900;
    src: local('CoFo Sans'), url('/_content/SonyParser.Page/fonts/cofo-sans/CoFo Sans 2.otf') format('woff');
}


@font-face {
    font-family: 'Unbounded';
    font-style: normal;
    font-weight: 400;
    src: local('Unbounded'), url('/_content/SonyParser.Page/fonts/unbounded/Unbounded-Regular.ttf') format('woff');
}
@font-face {
    font-family: 'Unbounded';
    font-style: normal;
    font-weight: 500;
    src: local('Unbounded'), url('/_content/SonyParser.Page/fonts/unbounded/Unbounded-Medium.ttf') format('woff');
}
@font-face {
    font-family: 'Unbounded';
    font-style: normal;
    font-weight: 700;
    src: local('Unbounded'), url('/_content/SonyParser.Page/fonts/unbounded/Unbounded-Bold.ttf') format('woff');
}

@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    src: local('Inter'), url('/_content/SonyParser.Page/fonts/Inter.ttf') format('woff');
}
@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 500;
    src: local('Inter'), url('/_content/SonyParser.Page/fonts/Inter.ttf') format('woff');
}
@font-face {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 700;
    src: local('Inter'), url('/_content/SonyParser.Page/fonts/Inter.ttf') format('woff');
}

.inter-semibold {
    font-family: "Inter", serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

.inter-medium {
    font-family: "Inter", serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
}

.color-accent {
    color: var(--sony-accent-color);
}

.color-error {
    color: var(--sony-error);
}

.color-green {
    color: var(--sony-green);
}


.max-lines-1 {
    max-lines: 1;
}

.clicky {
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.block-container-arrow {
    height: 24px;
    width: 24px;
}

.center-child {
    display: flex;
    align-items: center;
    justify-content: center;
}

.reserve-codes-img {
    width: 100%;

    /*height: 206px;*/
}

.reserve-code-link {
    color: var(--sony-accent-color);
    text-decoration: underline;
}

.reserve-codes-container {
    margin: 16px 20px;
}

.apply-button {
    flex-shrink: 0;
    width: 100%;
    background-color: var(--sony-accent-color);
    color: white;
    height: 48px;
    border-radius: 100px;
    margin-top: 24px;
    transition: background-color 0.2s;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: env(safe-area-inset-bottom);
}

.dialog-overlay-container {
    padding: 20px 18px 12px 20px;
    display: flex;
    flex-direction: column;
}

.bottom-sheet-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.dialog-overlay-close-button {
    height: 44px;
    width: 44px;
    background-color: var(--sony-color-30);
    border-radius: 14px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Fixed button at the bottom */
/*.fixed-button-container {*/
/*    width: 100%;*/
/*    box-sizing: border-box;*/
/*    position: fixed;*/
/*    margin-left: 16px;*/
/*    margin-right: 14px;*/
/*    margin-bottom: 57px;*/
/*    bottom: 0;*/
/*    left: 0;*/
/*}*/

.fixed-button {
    border-radius: 48px;
    width: calc(100% - 30px);
    height: 44px; /* Adjust to desired button height */

    color: white;
    text-align: center;
    border: none;
    outline: none;
    cursor: pointer;
    z-index: 10; /* Ensure it stays on top of other content */
}

/*.fixed-button-green {*/
/*    background-color: var(--sony-color-14);*/
/*}*/

.fixed-button-origin {
    background-color: var(--sony-accent-color);
}

.text-truncate {
    white-space: nowrap; /* Prevent text from wrapping */
    overflow: hidden; /* Hide overflow content */
    text-overflow: ellipsis; /* Add dots at the end */
}

.price-container {
    flex: 0 0 calc(50% - 4px);
}

.text-selection-enable {
    user-select: text;
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
}


.field-empty {
    gap: 4px;
}

.field-empty input {
    height: 48px;
    flex-grow: 1;
    font-size: 14px;
    border-radius: 12px;
    /*color: var(--sony-color-29);*/
    background-color: var(--sony-color-07);
    padding: 14px 16px;
    -webkit-appearance: none;
    appearance: none;
}

.field-empty-button div {
    height: 24px;
    width: 24px;
}

.field-empty-button {
    height: 48px;
    width: 48px;
    background-color: var(--sony-accent-color);
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.field-empty-button-empty {
    background-color: var(--sony-color-07);
}

.field-empty-button-empty div {
    background-color: var(--sony-color-43);
}

.field-empty-button-filled {
    background-color: var(--sony-accent-color);

}

.field-empty-button-filled div {
    background-color: var(--sony-bg-color);
}

.promocode-block {
    background-color: var(--sony-bg-color);
    padding: 26px 24px;
    gap: 15px;
    border-radius: 32px;
}

.site-promocode-block {
    background-color: var(--sony-bg-color);
    gap: 15px;
    border-radius: 32px;
}

.right-arrow-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/ic_arrow_right_w_24.svg);
    mask-image: url(/_content/SonyParser.Page/images/ic_arrow_right_w_24.svg);
}

.filters-chips-container {
    display: flex;
    flex-direction: row;
    gap: 6px;
}

.filters-chip-drop {
    width: fit-content;
    border-radius: 44px;
    display: flex;
    flex-direction: row;
    gap: 5px;
    height: 40px;
    padding: 11px 17px 11px 21px;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--sony-color-35);
    color: var(--sony-color-36);
}

.filters-chip-drop img {
    height: 16px;
    width: 16px;
}

.kod-pog-info-container {
    margin-top: 12px;
    height: 72px;
    width: 100%;
    border-radius: 8px;
    gap: 16px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
}

.kod-pog-info-container-success {
    background-color: #DCEDFF;
    color: #2F6EC6;
}

.kod-pog-info-container-error {
    background-color: #FFF7F5;
    color: #BE1315;
}

/*.kod-pog-button {*/
/*    width: 36px;*/
/*    height: 36px;*/
/*    border-radius: 8px;*/
/*    background-color: #F3F5FF;*/
/*    display: flex;*/
/*    align-items: center;*/
/*    justify-content: center;*/
/*}*/

/*.kod-pog-button img {*/
/*    width: 28px;*/
/*    height: 28px;*/
/*}*/

.kod-pog-info-container img {
    width: 20px;
    height: 20px;
}

.kod-pog-refill-button {
    border-radius: 1000px;
    height: 52px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid var(--sony-accent-color);
}

.justify-center {
    justify-content: center;
}

.error-platform-container {
    width: 100%;
    height: 54px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    border-radius: 12px;
    background-color: var(--sony-color-41);
    padding: 10px 12px;
    align-items: center;
}


.block-container {
    margin: 0 16px;
}

body #app {
    width: 100%;
    height: 100%;
    /*height: var(--tg-viewport-height, 50%);*/
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.progress-container {
    position: relative;
    width: 150px;
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.circle-background {
    fill: none;
    stroke: #e6e6e6; /* Light gray background */
    stroke-width: 10;
}

.circle-progress {
    fill: none;
    stroke: #0078d4; /* Blue color for progress */
    stroke-width: 10;
    /*stroke-dasharray: 440; !* Circumference of the circle (2 * π * radius) *!*/
    /*stroke-dashoffset: 320; !* Adjust this value to control progress *!*/
    stroke-linecap: round;
    transform: rotate(-90deg);
    transform-origin: center;
}

.loading-progress-text {
    position: absolute;
    font-size: 20px;
    font-weight: bold;
    color: #0078d4;
    text-align: center;
}

.loading-progress circle:last-child {
    stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 1), 100%;
    transition: stroke-dasharray 0.05s ease-in-out;
    stroke: #1b6ec2;
}

/*.loading-progress {*/
/*    position: relative;*/
/*    display: block;*/
/*    width: 8rem;*/
/*    height: 8rem;*/
/*}*/

.loading-progress circle {
    fill: none;
    stroke: #e0e0e0;
    stroke-width: 0.6rem;
    transform-origin: 50% 50%;
    transform: rotate(-90deg);
}

/*.loading-progress circle:last-child {*/
/*    stroke: #1b6ec2;*/
/*    stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;*/
/*    transition: stroke-dasharray 0.05s ease-in-out;*/
/*}*/

/*.loading-progress-text {*/
/*    position: absolute;*/
/*    text-align: center;*/
/*    font-weight: bold;*/
/*}*/

.loading-progress-text:after {
    content: var(--blazor-load-percentage-text, "Loading");
}

code {
    color: #c02d76;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.favorites-border {
    border-radius: 12px;
    padding: 12px;
    gap: 12px;
    align-items: center;
    width: 100%;
    background-color: #363d46;
}

.flex-grow-1 {
    flex-grow: 1;
}

.overflow-y-auto {
    overflow: auto;
}

.fav-icon {
    width: 32px;
    height: 32px;
    flex-shrink: 0;
    border-radius: 16px;
    cursor: pointer;
}

.fav-icon img {
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
    position: relative;
}

.title {
    margin-top: 12px;
    margin-left: 16px;
}

.virt-search-spacer {
    height: 24px;
}

.tg-m-bottom-insets {
    margin-bottom: env(safe-area-inset-bottom);
}

img {
    pointer-events: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    user-select: none;
}


#bottom-bar {
    z-index: 1000;
    min-height: 60px;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: var(--sony-bg-color);
    color: var(--sony-color-01);
    border-top-left-radius: 24px;
    border-top-right-radius: 24px;
    border: none;
    border-top: 1px solid var(--sony-color-02);
    box-shadow: 0px -4px 17px rgba(0, 0, 0, 0.15);
    position: absolute;
    bottom: 0; /* Fix to the bottom of the container */
    left: 0;
    right: 0;
    padding-bottom: var(--tg-safe-area-inset-bottom);
}

/* Style for buttons */
#bottom-bar > div {
    position: relative;
    flex-grow: 1;
    height: 60px;
    margin: 0px;
    border-radius: 10px;
}


.selected-bottom-button .bottom-icon {
    background: var(--sony-gradient);
}

.home-button .bottom-icon {
    background-color: var(--sony-color-01) !important;
}

.selected-bottom-button .top-corner {
    position: absolute;
    left: 50%;
    top: 0;
    height: 3px;
    width: 70px;
    background: var(--sony-gradient);
    transform: translate(-50%, 0%);
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
}

#bottom-bar button:hover {
    background-color: #777;
}

.bottom-icon {
    -webkit-mask-size: cover;
    mask-size: cover;
    background: var(--sony-color-01);
    height: 28px;
    width: 28px;
    position: relative;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.bottom-icon-centered {
    height: 24px;
    width: 24px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.bottom-back-24-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/bottom_left_24.svg);
    mask-image: url(/_content/SonyParser.Page/images/bottom_left_24.svg);
}

.bottom-favorites-24-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/bottom_heart_24.svg);
    mask-image: url(/_content/SonyParser.Page/images/bottom_heart_24.svg);
}

.bottom-search-24-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/bottom_search_24.svg);
    mask-image: url(/_content/SonyParser.Page/images/bottom_search_24.svg);
}

.selected-bottom-button-catalog .bottom-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/bottom_home_24.svg) !important;
    mask-image: url(/_content/SonyParser.Page/images/bottom_home_24.svg) !important;
}

.bottom-catalog-24-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/bottom_catalog_24.svg);
    mask-image: url(/_content/SonyParser.Page/images/bottom_catalog_24.svg);

}

.bottom-profile-24-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/bottom_profile_24.svg);
    mask-image: url(/_content/SonyParser.Page/images/bottom_profile_24.svg);
}

.bottom-busket-24-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/bottom_cart_24.svg);
    mask-image: url(/_content/SonyParser.Page/images/bottom_cart_24.svg);
}

.right-arrow-icon {
    -webkit-mask-image: url(/_content/SonyParser.Page/images/ic_arrow_right_w_24.svg);
    mask-image: url(/_content/SonyParser.Page/images/ic_arrow_right_w_24.svg);
}

.order-position-count {

    height: 14px;
    width: 14px;
    border-radius: 7px;
    background-color: var(--sony-color-04);
    position: relative;
    left: 100%;
    top: 0;
    transform: translate(-50%, -50%);
}

.order-position-count-10 {
    width: 20px !important;
}

.order-position-count h1 {
    color: white;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.ready-acc-link {
    color: var(--sony-font-link-color);
    text-decoration: underline;
}

.field-empty {
    gap: 8px;
}

.field-empty input {
    height: 46px;
    flex-grow: 1;
    font-size: 14px;
    border-radius: 12px;
    /*color: var(--sony-color-29);*/
    background-color: var(--sony-color-02);
    padding: 14px 16px;
    -webkit-appearance: none;
    appearance: none;
}

.field-empty-button div {
    height: 24px;
    width: 24px;
}

.field-empty-button {
    height: 46px;
    width: 46px;
    background-color: var(--sony-color-02);
    border-radius: 23px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.field-empty-button-empty {
    background-color: var(--sony-color-07);
}

.field-empty-button-empty div {
    background-color: var(--sony-color-43);
}

.field-empty-button-filled {
    background-color: var(--sony-accent-color);
}

.field-empty-button-filled div {
    background-color: var(--sony-bg-color);
}

.button-width-100-32 {
    width: calc(100% - 32px);
}

.button-width-100 {
    width: calc(100%);
}

.block-shadow {
    box-shadow: 0 8px 16px 0 rgba(169, 200, 237, 0.2);
}

.rotating {
    display: inline-block;        /* ensures transform works consistently */
    width: 80px;                  /* optional: control size */
    height: 80px;                 /* optional */
    transform-origin: 50% 50%;    /* center of the image */
    animation: spin 1s linear infinite;
}

/* smooth continuous spin */
@keyframes spin {
    to { transform: rotate(-360deg); }
}

/* respect user preference for reduced motion */
@media (prefers-reduced-motion: reduce) {
    .rotating { animation: none; }
}

.screen-style {
    background-color: var(--sony-color-13);
    width: 100%;
    position: relative;
}

.title-block {
    padding: 24px 21px 16px 20px;
    background-color: var(--sony-bg-color);
}

.products-block {
    background-color: var(--sony-bg-color);
    border-bottom-left-radius: 32px;
    border-bottom-right-radius: 32px;
    padding-bottom: 11px;
}

.order-info-block {
    background-color: var(--sony-bg-color);
    border-radius: 32px;
    padding: 17px 19px 0 16px;

}

.spacer {
    width: 100%;
    height: 1px;
    margin-left: 1px;
    margin-right: 1px;
    background-color: var(--sony-color-10);
}

.promocode-block {
    background-color: var(--sony-bg-color);
    padding: 26px 24px;
    gap: 15px;
    border-radius: 32px;
}

.support-button {
    background-color: var(--sony-bg-color);
    padding: 29px 20px 29px 20px;
    gap: 13px;
    border-radius: 32px;
    margin-bottom: 81px;
}

.support-button-icon {
    height: 48px;
    width: 48px;
    border-radius: 12px;
    background-color: var(--sony-color-06);
}

.support-button-icon img {
    height: 24px;
    width: 24px;
}

.order-button {
    height: 50px;
    width: 100%;
    background-color: red;
    border-radius: 16px;
    position: absolute;
    bottom: 0;
    left: 0;
}

.error-platform-container {
    width: 100%;
    height: 54px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    border-radius: 12px;
    background-color: var(--sony-color-41);
    padding: 10px 12px;
    align-items: center;
}

.price-text {
    background: var(--sony-gradient);
    -webkit-background-clip: text; /* for Safari/Chrome */
    -webkit-text-fill-color: transparent; /* make the text itself transparent */
    background-clip: text; /* standard property (for Firefox in newer versions) */
    color: transparent; /* fallback */
}